Skip to main content

Alerts

GET/api/v1/nodes/{node_id}/monitoring/alerts/

Path parameters

  • node_idPathstringrequired

    Path parameter node_id.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Location filter for alerts

    • must be a non-empty string
    • may contain alphanumeric characters, spaces, and hyphens
    example{{location}}

Responses

200Successful response
object
codeinteger

HTTP status code of the response

example200
  • must be an integer
  • must be a valid HTTP status code
dataobject
errorsstring

Human-readable error message returned by the API

example
  • may be empty string when no error
  • must be a UTF-8 encoded string
messagestring

Human-readable status message for the alerts response

exampleEmails retrieved successfully
  • Must be a non-empty string
  • Should be concise (e.g., under 200 characters)